补间动画类

### Hierarchy

- HashObject
  - Tween

## Index

### Constructors

- constructor

### Properties

- autoPlay
- duration
- ease
- fields
- fromProps
- host
- initProps
- loop
- loopCounting
- plugins
- queue
- startTime
- status
- step
- t
- target
- toProps

### Accessors

- hashCode

### Methods

- _call
- _doNextAction
- _doPlay
- _doStart
- _readyStart
- _set
- _start
- _to
- _wait
- call
- getInitProps
- onUpdate
- play
- resolveLerp
- set
- stop
- to
- wait

## Constructors

### constructor

- new Tween(host: any, target: any, options?: TweenOptions, plugins?: any[]): Tween

- Overrides HashObject.constructor

  - Defined in support/Tween.ts:124

  #### Parameters

  - ##### host: any

  - ##### target: any

  - ##### Optional options: TweenOptions

  - ##### Default value plugins: any[] = []

  #### Returns Tween

## Properties

### Protected autoPlay

autoPlay: boolean

- Defined in support/Tween.ts:119

### Protected duration

duration: number

- Defined in support/Tween.ts:124

### Protected ease

ease: Function

- Defined in support/Tween.ts:123

### Protected fields

fields: any

- Defined in support/Tween.ts:117

### Protected fromProps

fromProps: any

- Defined in support/Tween.ts:121

### Protected host

host: any

- Defined in support/Tween.ts:104

### Protected initProps

initProps: any

- Defined in support/Tween.ts:120

### Protected loop

loop: number

- Defined in support/Tween.ts:106

### Protected loopCounting

loopCounting: number = 0

- Defined in support/Tween.ts:109

### Protected plugins

plugins: ITweenPlugin []

- Defined in support/Tween.ts:116

### Protected queue

queue: any[] = []

- Defined in support/Tween.ts:107

### Protected startTime

startTime: any

- Defined in support/Tween.ts:114

### Protected status

status: STATUS = STATUS.IDLE

- Defined in support/Tween.ts:111

### Protected step

step: number

- Defined in support/Tween.ts:110

### Protected t

t: any

- Defined in support/Tween.ts:113

### Protected target

target: any

- Defined in support/Tween.ts:105

### Protected toProps

toProps: any

- Defined in support/Tween.ts:122

## Accessors

### hashCode

hashCode:

Inherited from HashObject.hashCode

- Defined in core/HashObject.ts:21

## Methods

### Protected _call

- _call(func: any, thisObj: any, params: any): void

- - Defined in support/Tween.ts:335

  #### Parameters

  - ##### func: any

  - ##### thisObj: any

  - ##### params: any

  #### Returns void

### Protected _doNextAction

- _doNextAction(): void

- - Defined in support/Tween.ts:369

  #### Returns void

### Private _doPlay

- _doPlay(resetLoopCounting: any): void

- - Defined in support/Tween.ts:290

  #### Parameters

  - ##### resetLoopCounting: any

  #### Returns void

### Protected _doStart

- _doStart(): void

- - Defined in support/Tween.ts:356

  #### Returns void

### Protected _readyStart

- _readyStart(t: any): void

- - Defined in support/Tween.ts:351

  #### Parameters

  - ##### t: any

  #### Returns void

### Protected _set

- _set(props: any): void

- - Defined in support/Tween.ts:304

  #### Parameters

  - ##### props: any

  #### Returns void

### Protected _start

- _start(resetLoopCounting?: boolean): void

- - Defined in support/Tween.ts:341

  #### Parameters

  - ##### Default value resetLoopCounting: boolean = true

  #### Returns void

### Protected _to

- _to(props: any, duration: any, ease: any): void

- - Defined in support/Tween.ts:310

  #### Parameters

  - ##### props: any

  - ##### duration: any

  - ##### ease: any

  #### Returns void

### Protected _wait

- _wait(duration: any): void

- - Defined in support/Tween.ts:325

  #### Parameters

  - ##### duration: any

  #### Returns void

### call

- call(func: Function, thisObj?: any, params?: any): this

- - Defined in support/Tween.ts:263

  执行一个方法

  #### Parameters

  - ##### func: Function

    方法体

  - ##### Optional thisObj: any

    闭包域

  - ##### Optional params: any

    参数

  #### Returns this

### Protected getInitProps

- getInitProps(fields: any): object

- - Defined in support/Tween.ts:205

  #### Parameters

  - ##### fields: any

  #### Returns object

### Protected onUpdate

- onUpdate(t: any): void

- - Defined in support/Tween.ts:160

  #### Parameters

  - ##### t: any

  #### Returns void

### play

- play(override?: boolean, delay?: number, resetLoopCounting?: boolean): void

- - Defined in support/Tween.ts:278

  播放补间动画

  #### Parameters

  - ##### Default value override: boolean = false

    是否覆盖该对象上的动画

  - ##### Default value delay: number = 0

    延迟执行时间(ms)

  - ##### Default value resetLoopCounting: boolean = true

    是否重置循环次数计数

  #### Returns void

### Protected resolveLerp

- resolveLerp(fromValue: any, toValue: any, ratio: any): any

- - Defined in support/Tween.ts:142

  #### Parameters

  - ##### fromValue: any

  - ##### toValue: any

  - ##### ratio: any

  #### Returns any

### set

- set(props: any): this

- - Defined in support/Tween.ts:220

  设置目标的属性

  #### Parameters

  - ##### props: any

    属性对象

  #### Returns this

### stop

- stop(): void

- - Defined in support/Tween.ts:298

  终止补间动画

  #### Returns void

### to

- to(props: any, duration?: number, ease?: Function): this

- - Defined in support/Tween.ts:235

  进行一次补间动画

  #### Parameters

  - ##### props: any

    属性对象

  - ##### Optional duration: number

    耗时(ms)

  - ##### Optional ease: Function

    缓动方法

  #### Returns this

### wait

- wait(duration: any): this

- - Defined in support/Tween.ts:248

  等待一段时间

  #### Parameters

  - ##### duration: any

    耗时(ms)

  #### Returns this

Generated using TypeDoc